// 注意：修改此文件需要重新执行npm才会生效

// 注册全局组件
import vShow from 'weex-v-show'
Vue.directive('show', vShow)

import layout from 'components/common/layout.vue';
Vue.component('layout', layout);

// 可在entry.js添加以下代码，全局注册，也可以单独vue文件配置使用
// 先下载https://www.iconfont.cn/ 中自己项目的字体库包，解压后将iconfont.ttf与iconfont.json文件放在src的子目录下
import {ClIcon} from 'eeui-clui';

 // 注意：请保持与iconfont中family一致
ClIcon.props.fontFamily.default = "hualvicon";

// 加载项目本地iconfont会用到，远端加载不传, 请填写相对路径路径，文件为iconfont下载的字体文件包里面的json文件
ClIcon.props.iconfontJson.default = require('./font/iconfont.json'); 

// 加载项目本地iconfont文件地址, 请填写scr/开头路径，文件为iconfont下载的字体文件包里面的.ttf字体文件
ClIcon.props.fontSrc.default = "src/font/iconfont.ttf"; 

// 可使用远端iconfront地址，（长用于调试模式，若能接收网络延迟加载也可以用于正式）
//ClIcon.props.fontSrc.default = "http://at.alicdn.com/t/font_1976367_xpp2mw7nps.ttf";

Vue.component('cl-icon', ClIcon);

import navigationBar from 'components/common/navigation-bar.vue';
Vue.component('navigation-bar', navigationBar);
import hlLine from 'components/common/hl-line.vue'
Vue.component('hl-line', hlLine);
import Vuex from 'vuex'
Vue.use(Vuex)
